View Issue Details

IDProjectCategoryView StatusLast Update
00313672.x IDE BugsGeneralPublic2019-10-17 15:29
ReporterScott DunbarAssigned ToRussell Kay 
PriorityVery HighSeverityB - MajorReproducibility100%
Status ResolvedResolutionFixed 
Product Version2.2.4 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031367: General: Memory leak in code editor and autocomplete windows
DescriptionIssue:
 When switching back and forth in code tabs, gamemaker studio 2 memory usage will continually increase
 When repeatedly bringing up auto-complete gms2 memory usage will continually increase
Steps To ReproduceTurn on the following preferences in Preferences > Text Editor
-Open Scripts in full screen editor


1. Open Task Manager in the background
2. Open a project with populated scripts
3. Open 3 or 4 scripts (they should all be fullscreen and tabbed together)
4. Take note of memory usage of GMS2 in task manager
5. Switch between the tabs randomly and watch the RAM usage go up
6. Go into a script and repeatedly open the auto complete box, and observe Memory Usage going up


Additional InformationOn windows 10, after some time passes, memory usage will go back down
On Windows 7, memory usage remains high
TagsGM2KI
2.x IDE Found In2.2.4.451
2.x Runtime Found In2.2.4.357
2.x IDE Verified In
2.x Runtime Verified In

Activities

Russell Kay

2019-09-27 11:47

Manager   ~0064858

Fixed in github - we should monitor any performance issues though

Dan

2019-09-30 11:25

Adminstrator   ~0064872

IDE 456+

Scott Dunbar

2019-10-09 15:47

Adminstrator   ~0064946

Last edited: 2019-10-09 16:00

View 2 revisions

Our testing shows an improvement, but we never saw the "stalls" some customers reported. Waiting for feedback from the wider userbase before closing.